﻿WITH  SHOPS AS (select id from oms."ShopDO" 
                          where "internalShopName" IN ('inTRONICS',
													   'inTRONICS_Business')
				),
	  PDEFREF AS (  select   1 as p_id UNION ALL --"Unbekannte Zahlart";"no payment"
	  			    select   2 UNION ALL --"Vorkasse";"pre payment"
	  				select   3 UNION ALL --"Kreditkarte";"credit card"
	  				select   4 UNION ALL --"Nachnahme";"cash on delivery"
	  				select   5 UNION ALL --"auf Rechnung";"on account"
	  				select   7 UNION ALL -- electronic direct debit
	  				select  10 UNION ALL -- PayPal
	  				select  24 UNION ALL -- ISH FastPay
					select 100 UNION ALL -- No payment
	  				select  40 -- Manual Credit Note
	  			 )

INSERT INTO oms."Shop2PaymentProvider2PaymentDefDO"
(
  id,
  "shopRef",
  "paymentProviderRef",
  "paymentDefRef",
  "creationDate"
)
SELECT 
 nextval('oms."Shop2PaymentProvider2PaymentDefDO_id_seq"'),
 SHOPS.id,     --shopRef
 3,            --paymentProviderRef Barclay
 PDEFREF.p_id, --paymentDefRef
 now()
FROM SHOPS CROSS JOIN PDEFREF;
	  
