INSERT INTO "SupplierClassificationSystemDO"("id",
	 "isActive",
	 "classificationSystemDefRef",
	 "supplierClassificationSystemName",
	 "supplierRef")
    SELECT nextval('"SupplierClassificationSystemDO_id_seq"'),
	 true,
	 1,
	 'Assortment System - inTRONICS', -- here
	 supplier.id
	 
from oms."SupplierDO" supplier where "internalSupplierName" IN (
'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer');
	
INSERT INTO "SupplierClassificationElementDO"("id",
	 "supplierClassificationElementIdentifier",
	 "supplierClassificationElementName",
	 "parentElementRef",
	 "supplierClassificationSystemRef")
    SELECT nextval('"SupplierClassificationElementDO_id_seq"'),
	 'Dummy',
	 'Dummy',
	 null,
	 supplierClassificationSystemDORef.id	 
		from product."SupplierClassificationSystemDO" supplierClassificationSystemDORef where "supplierRef" IN 
			(select id FROM oms."SupplierDO"  where
				"internalSupplierName" IN (
				'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
				'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
				'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer'
			)
	)
;

