/* B2C Begin */
delete from oms."BarCodeGenDO"; 

INSERT INTO oms."BarCodeGenDO"
(
  id,-- bigint NOT NULL,
  "barCodeCounter", -- character varying(30),
  "barCodeEnd", -- character varying(30),
  "barCodeStart", -- character varying(30),
  "interval", -- integer,
  "minEndDate", -- timestamp without time zone,
  "modificationDate", -- timestamp without time zone,
  "startDate", -- timestamp without time zone,
  version, -- integer,
  "carrierRef", -- bigint NOT NULL,
  "shopRef", -- bigint NOT NULL,
  "supplierRef" -- bigint NOT NULL,
)
SELECT 
	nextval('oms."BarCodeGenDO_id_seq"'), 
	'000000',
	'100000',
	'000000',
	1,
	null,
	now(),
	'2013-09-01 00:00:00',
	1,
	11, 							--DHL
	(select id from oms."ShopDO" where "internalShopName"='inTRONICS_Business'),
	(select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_florida_warehouse'); 

INSERT INTO oms."BarCodeGenDO"
(
  id,-- bigint NOT NULL,
  "barCodeCounter", -- character varying(30),
  "barCodeEnd", -- character varying(30),
  "barCodeStart", -- character varying(30),
  "interval", -- integer,
  "minEndDate", -- timestamp without time zone,
  "modificationDate", -- timestamp without time zone,
  "startDate", -- timestamp without time zone,
  version, -- integer,
  "carrierRef", -- bigint NOT NULL,
  "shopRef", -- bigint NOT NULL,
  "supplierRef" -- bigint NOT NULL,
)
SELECT 
	nextval('oms."BarCodeGenDO_id_seq"'), 
	'100001',
	'200000',
	'100001',
	1,
	null,
	now(),
	'2013-09-01 00:00:00',
	1,
	11, 							--DHL
	(select id from oms."ShopDO" where "internalShopName"='inTRONICS_Business'),
	(select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_california_warehouse'); 

	
	
INSERT INTO oms."BarCodeGenDO"
(
  id,-- bigint NOT NULL,
  "barCodeCounter", -- character varying(30),
  "barCodeEnd", -- character varying(30),
  "barCodeStart", -- character varying(30),
  "interval", -- integer,
  "minEndDate", -- timestamp without time zone,
  "modificationDate", -- timestamp without time zone,
  "startDate", -- timestamp without time zone,
  version, -- integer,
  "carrierRef", -- bigint NOT NULL,
  "shopRef", -- bigint NOT NULL,
  "supplierRef" -- bigint NOT NULL,
)
SELECT 
	nextval('oms."BarCodeGenDO_id_seq"'), 
	'200001',
	'300000',
	'200001',
	1,
	null,
	now(),
	'2013-09-01 00:00:00',
	1,
	11, 							--DHL
	(select id from oms."ShopDO" where "internalShopName"='inTRONICS_Business'),
	(select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_texas_warehouse'); 
	
/* B2C End´ */




/* B2B Begin */

INSERT INTO oms."BarCodeGenDO"
(
  id,-- bigint NOT NULL,
  "barCodeCounter", -- character varying(30),
  "barCodeEnd", -- character varying(30),
  "barCodeStart", -- character varying(30),
  "interval", -- integer,
  "minEndDate", -- timestamp without time zone,
  "modificationDate", -- timestamp without time zone,
  "startDate", -- timestamp without time zone,
  version, -- integer,
  "carrierRef", -- bigint NOT NULL,
  "shopRef", -- bigint NOT NULL,
  "supplierRef" -- bigint NOT NULL,
)
SELECT 
	nextval('oms."BarCodeGenDO_id_seq"'), 
	'300001',
	'400000',
	'300001',
	1,
	null,
	now(),
	'2013-09-01 00:00:00',
	1,
	11, 							--DHL
	(select id from oms."ShopDO" where "internalShopName"='inTRONICS'),
	(select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_florida_retailer'); 

INSERT INTO oms."BarCodeGenDO"
(
  id,-- bigint NOT NULL,
  "barCodeCounter", -- character varying(30),
  "barCodeEnd", -- character varying(30),
  "barCodeStart", -- character varying(30),
  "interval", -- integer,
  "minEndDate", -- timestamp without time zone,
  "modificationDate", -- timestamp without time zone,
  "startDate", -- timestamp without time zone,
  version, -- integer,
  "carrierRef", -- bigint NOT NULL,
  "shopRef", -- bigint NOT NULL,
  "supplierRef" -- bigint NOT NULL,
)
SELECT 
	nextval('oms."BarCodeGenDO_id_seq"'), 
	'400001',
	'500000',
	'400001',
	1,
	null,
	now(),
	'2013-09-01 00:00:00',
	1,
	11, 							--DHL
	(select id from oms."ShopDO" where "internalShopName"='inTRONICS'),
	(select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_california_retailer'); 

	
	
INSERT INTO oms."BarCodeGenDO"
(
  id,-- bigint NOT NULL,
  "barCodeCounter", -- character varying(30),
  "barCodeEnd", -- character varying(30),
  "barCodeStart", -- character varying(30),
  "interval", -- integer,
  "minEndDate", -- timestamp without time zone,
  "modificationDate", -- timestamp without time zone,
  "startDate", -- timestamp without time zone,
  version, -- integer,
  "carrierRef", -- bigint NOT NULL,
  "shopRef", -- bigint NOT NULL,
  "supplierRef" -- bigint NOT NULL,
)
SELECT 
	nextval('oms."BarCodeGenDO_id_seq"'), 
	'500001',
	'600000',
	'500001',
	1,
	null,
	now(),
	'2013-09-01 00:00:00',
	1,
	11, 							--DHL
	(select id from oms."ShopDO" where "internalShopName"='inTRONICS'),
	(select id from oms."SupplierDO" where "internalSupplierName"='inTRONICS_texas_retailer'); 
	
/* B2B End´ */

update "PlatformConfigDO" set "lastConfigDate" = now();